Package Details: skanpage-git r157.c987d53-1

Git Clone URL: https://aur.archlinux.org/skanpage-git.git (read-only, click to copy)
Package Base: skanpage-git
Description: KDE image scanning application (git version)
Upstream URL: https://invent.kde.org/utilities/skanpage
Licenses: GPL
Submitter: crushedtortilla
Maintainer: crushedtortilla
Last Packager: crushedtortilla
Votes: 2
Popularity: 0.84
First Submitted: 2021-05-13 22:15
Last Updated: 2021-07-07 05:02

Latest Comments

crushedtortilla commented on 2021-09-26 22:18

How the PKGBUILD is set up, it will actually always build the current git master branch's tip. So even though the PKGBUILD hasn't been updated in a while, if you build it right now, it should build at sha 39cfd52.

I just rebuilt the package locally and confirmed that it builds correctly. However, I'm not going to bump the version, because according to https://wiki.archlinux.org/title/Arch_User_Repository#Flagging_packages_out-of-date, "VCS packages are not considered out of date when the pkgver changes, do not flag them as the maintainer will merely unflag the package and ignore you. AUR maintainers should not commit mere pkgver bumps."

zeroconf commented on 2021-09-26 21:53

Looks like quite actively updated recently - https://invent.kde.org/utilities/skanpage/activity Wouldn't it be time to update here in AUR as well?

chrys87 commented on 2021-07-13 08:15

Now it works here as well. seems they had issues with an broken hard disk.

now everything is fine. Thanks!

crushedtortilla commented on 2021-07-13 05:03

Hmm, odd. It worked for me just now, and https://invent.kde.org/frameworks/extra-cmake-modules.git seems to work in the browser for me too. Maybe invent.kde.org was down temporarily?

chrys87 commented on 2021-07-12 19:44

Now i get another Error (timeout while cloning a git repo, is the URL correct? maybe i just try later again):

==> Erstelle Paket: extra-cmake-modules-git 5.83.0.r3302.001f901e-1 (Mo 12 Jul 2021 21:39:17 CEST) ==> Empfange Quellen... -> Klone das extra-cmake-modules git Repo... Klone in Bare-Repository '/home/chrys/.cache/yay/extra-cmake-modules-git/extra-cmake-modules' ...

fatal: konnte nicht auf 'https://invent.kde.org/frameworks/extra-cmake-modules.git/' zugreifen: Failed to connect to invent.kde.org port 443: Die Wartezeit für die Verbindung ist abgelaufen (timeout) ==> FEHLER: Fehler beim Download des extra-cmake-modules git Repos Breche ab... error downloading sources: extra-cmake-modules-git 21:41 [chrys@blackbeast ~] :( $

crushedtortilla commented on 2021-07-07 05:04

Thanks for letting me know. It seems that upstream depends on some recent changes to libksane, so I've updated the dependency. It should build now with libksane-git.

chrys87 commented on 2021-07-05 13:26

Seems that there is an dependency missing:

-- Found KF5: success (found suitable version "5.83.0", minimum required is "5.83") found components: CoreAddons I18n Kirigami2 Crash XmlGui CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:52 (find_package): Could not find a configuration file for package "KF5Sane" that is compatible with requested version "21.07.70".

The following configuration files were considered but not accepted:

/usr/lib64/cmake/KF5Sane/KF5SaneConfig.cmake, version: 21.04.2
/usr/lib/cmake/KF5Sane/KF5SaneConfig.cmake, version: 21.04.2
/lib64/cmake/KF5Sane/KF5SaneConfig.cmake, version: 21.04.2
/lib/cmake/KF5Sane/KF5SaneConfig.cmake, version: 21.04.2

Call Stack (most recent call first): CMakeLists.txt:43 (find_package)

-- Could NOT find KF5Sane , checked the following files: /usr/lib64/cmake/KF5Sane/KF5SaneConfig.cmake (version 21.04.2) /usr/lib/cmake/KF5Sane/KF5SaneConfig.cmake (version 21.04.2) /lib64/cmake/KF5Sane/KF5SaneConfig.cmake (version 21.04.2) /lib/cmake/KF5Sane/KF5SaneConfig.cmake (version 21.04.2)

CMake Error at /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:230 (message): Could NOT find KF5 (missing: Sane) (Required is at least version "21.07.70") Call Stack (most recent call first): /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:594 (_FPHSA_FAILURE_MESSAGE) /usr/share/ECM/find-modules/FindKF5.cmake:93 (find_package_handle_standard_args) CMakeLists.txt:43 (find_package)

-- Configuring incomplete, errors occurred!